<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Add New Composition</title>
    <link href="./bass-clef-48.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light fixed-top">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="./compositions.html">Compositions</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="./composers.html">Composers</a>
            </li>
            <li class="nav-item" id="users-link" hidden>
                <a class="nav-link" href="./users.html">Users</a>
            </li>
            <li class="nav-item" id="login-nav-item">
                <a class="nav-link" onclick="logout()" href='./index.html'>Log Out</a>
            </li>
    </div>
</nav>

<div class="container white-background py-3">
    <form class="form-signin" id="add-new-composition">
        <div class="form-floating mb-3">
            <input type="text" class="form-control" id="title" name="title">
            <label for="name" class="form-label">Title</label>
        </div>
        <div class="form-floating mb-3">
            <input type="number" class="form-control" id="year-composed" name="year-composed">
            <label for="username" class="form-label">Year completed</label>
        </div>
        <div class="form-floating mb-3">
            <input type="text" class="form-control" id="genre" name="genre">
            <label for="username" class="form-label">Genre</label>
        </div>
        <div class="mb-3">            
            <label for="multi-movement" class="form-label">Multi-movement</label><br>
            <input type="radio" id="multi-true" name="multi-movement" value="true">
            <label for="true">Yes</label>
            <input type="radio" id="multi-false" name="multi-movement">
            <label for="false">No</label>
        </div>
        <div class="mb-3">
            <label for="composer" class="form-label">Composer</label>
            <select name="composer" id="composer" value="composer" class="form-control">

            </select>
        </div>
        <button type="submit" class="btn btn-primary">Add composition</button>
    </form>
</div>
<div id="create-msg" hidden></div>

<script src="../scripts/add-composition.js"></script>
<script src="../scripts/server-requests.js"></script>

<script>
    if (sessionStorage.getItem('authToken') === 'admin-auth-token') {
        document.getElementById('users-link').hidden = false;
    }
</script>

<script>
    function logout() {
        sessionStorage.removeItem('authToken');
    }
</script>

</body>

</html>